$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.0.3.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.0.3.msi'
  softwareName = 'Invantive Query Tool'
  checksum = '10111B29F2BC416B5B64F73F4B698D1F528A9E836463CDDBEE6B95ED4094F57E'
  checksumType = 'sha256'
  checksum64 = '10111B29F2BC416B5B64F73F4B698D1F528A9E836463CDDBEE6B95ED4094F57E'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-20.0.3-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
